/* =============================================
Rank
============================================= */

#rank .subttl>.ttl {
  width: calc(275px / 2);
  aspect-ratio: 275 / 132;
  background-image: url(../img/rank/rank_ttl.png);
}

.rk-w .ttl-chapter {
  background: var(--cl-w-red);
}

.rk-m .ttl-chapter {
  background: var(--cl-m-blue);
}



#rk-rank-f {
  margin-bottom: 30px;
  padding: 30px 20px 15px 20px;
  background: #efefef;
  background-size: 100% auto;
  font-size: 120%;
  font-weight: 600;
}

#rk-rank-f ul {
  display: flex;
  flex-wrap: wrap;
}

#rk-rank-f ul li {
  vertical-align: bottom;
  text-align: center;
  width: 220px;
  padding: 0 10px 20px 10px;
  box-sizing: border-box;
}

#rk-rank-f ul li img {
  display: block;
  width: 160px;
  height: calc(160px/3*2);
  margin: 0 auto 10px auto;
  box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.2);
}

#rk-rank-f ul li .cnt-name .nm {
  display: inline-block;
  padding: 0.2em 0.4em;
  margin-right: 0.25em;
  background-color: #e5402c;
  font-size: 90%;
  color: #fff;
}

#rk-rank-f ul li.victory img {
  width: 200px;
  height: calc(200px/3*2);
}

#rk-rank-f ul li.victory .cnt-name {
  font-size: 125%;
}

/**/
#rk-rank-f ul li {
  vertical-align: bottom;
  text-align: center;
  width: 176px;
  padding: 0 10px 20px 10px;
  box-sizing: border-box;
}

#rk-rank-f ul li.victory {
  width: 100%;
}

#rk-rank-f ul li img {
  width: 120px;
  height: calc(120px/3*2);
}

#rk-rank-f ul li.victory img {
  width: 160px;
  height: calc(160px/3*2);
}

.udtime {
  float: right;
  font-size: 60%;
  font-weight: 400;
}

.rk-tbl {
  margin-bottom: 40px;
  text-align: center;
}

.rk-tbl#rk-rank-plmn {
  margin-bottom: 0;
}

.rk-tbl table {
  border-collapse: collapse;
  border-spacing: 0;
  width: 100%;
  text-align: center;
}

.rk-tbl table tr th,
.rk-tbl table tr td {
  padding: 0.5em;
  border: #ccc 1px solid;
  box-sizing: border-box;
  font-weight: 600;
  font-size: 120%;
  line-height: 140%;
  text-align: center;
}

.rk-tbl table th {
  white-space: nowrap;
  background-color: #e5402c;
  color: #fff;
}

.rk-tbl table .tbl-rank {
  width: 3.0em;
}

.rk-tbl#rk-rank-final table td.tbl-rank {
  color: #e5402c;
}

.rk-tbl#rk-rank-plmn table .rk-b8 .tbl-rank {
  color: #e5402c;
}

.rk-tbl table .rk-jpn td {
  background-color: #fffbcc;
}

.rk-tbl table .rk-mc {
  width: 4.0em;
}

.rk-tbl table .rk-wn,
.rk-tbl table .rk-ls {
  width: 2.0em;
}

.rk-tbl table .rk-pt {
  width: 5.0em;
}

.rk-tbl table .rk-st {
  width: 5.0em;
}

.rk-tbl table .rk-sc {
  width: 4.0em;
}

.rk-tbl table td.tbl-team {
  text-align: left;
}

.rk-cnt img {
  vertical-align: middle;
  width: 3.0em;
  height: 2.0em;
  margin-right: 0.5em;
  box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.2);
}

.rk-tbl table .rk-pl-border {
  margin: 0;
  padding: 0 !important;
  border-top: 1px solid #ff3984;
  border-bottom: 1px solid #ff3984;
}

#rk-rank-plnm-txt {
  margin-top: 15px;
  text-align: left;
}

#rk-rank-plnm-txt p {
  line-height: 160%;
  padding-bottom: 0.5em;
}

/* -- Media Queries -- */

@media all and (max-width: 767px) {

  #rk-rank-f {
    padding: 2%;
    font-size: 100%;
  }

  #rk-rank-f ul li {
    width: 33.3%;
    padding: 1%;
    text-align: left;
  }

  #rk-rank-f ul li img {
    display: inline-block;
    vertical-align: middle;
    width: 3.0em;
    height: calc(3.0em/3*2);
    margin: 0 0.5em 0 0;
  }

  #rk-rank-f ul li.victory {
    padding-bottom: 4%;
  }

  #rk-rank-f ul li.victory img {
    width: 4.0em;
    height: calc(4.0em/3*2);
  }

  #rk-rank-f ul li.victory {
    text-align: center;
  }

  #rk-rank-f ul li .cnt-name {
    vertical-align: middle;
  }

  .rk-tbl {
    width: 100%;
    overflow-y: hidden;
    overflow-x: auto;
    -ms-overflow-style: -ms-autohiding-scrollbar;
    -webkit-overflow-scrolling: touch;
  }

  .rk-tbl table tr th,
  .rk-tbl table tr td {
    font-size: 80%;
  }


  #rk-rank-plnm-txt p {
    font-size: 90%;
  }

}

@media all and (max-width:650px) {

  #rk-rank-f ul li {
    width: 50%;
  }

}

@media all and (max-width:450px) {

  #rk-rank-f {
    font-size: 85%;
  }

  .rk-cnt img {
    display: block;
    margin: 0 0 0.5em 0;
  }

}

@media all and (max-width:374px) {

  #rk-rank-f {
    font-size: 75%;
  }

}


/* dgm-final
-------------------------------- */

.dgm-final {
  margin-bottom: 30px;
  position: relative;
  width: 100%;
  background-color: #efefef;
  aspect-ratio: 1380 / 750;
}

.dgm-final p {
  position: absolute;
  width: 100%;
  height: 100%;
  background-position: center center;
  background-repeat: no-repeat;
  background-size: cover;
  text-indent: -9999px;
}

/*eof*/
